
CREATE TABLE UTLWRELN_1 (
       WRELN_EMPRESA               CHAR(2)   NOT NULL,
       WRELN_UNIDADE               CHAR(8)   NOT NULL,
       WRELN_DATA                  CHAR(8)   NOT NULL,
       WRELN_HORA                  CHAR(10)  NOT NULL,
       WRELN_LINHA                 CHAR(3)   NOT NULL,

       WRELN_TIPO_ITEM             CHAR(1)   NOT NULL,
       WRELN_TIPO_OC               CHAR(1)   NOT NULL,
       WRELN_NUMERO_OCS            CHAR(10)  NOT NULL,
       WRELN_LINHA_OC              CHAR(2)   NOT NULL,
       WRELN_PARCELA_OC            CHAR(2)   NOT NULL,
       WRELN_CODIGO_ITEM           CHAR(16)  NOT NULL,
       WRELN_ITEM_COTADO           CHAR(50)  NOT NULL,
       WRELN_DATA_COTA             CHAR(8)   NOT NULL,
       WRELN_uCom                  CHAR(4)   NOT NULL,
       WRELN_QTD_RECEBIDA          DEC(11,3) NOT NULL,
       WRELN_QTD_BRUTA             DEC(11,3) NOT NULL,
       WRELN_VALOR_UNIT            DEC(17,9) NOT NULL,
       WRELN_VALOR_ITEM            DEC(12,2) NOT NULL,
       WRELN_indTot                CHAR(1)   NOT NULL,
       WRELN_BASE_FCP              DEC(12,2) NOT NULL,
       WRELN_BASE_FCPST            DEC(12,2) NOT NULL,
       WRELN_BASE_PIS              DEC(12,2) NOT NULL,
       WRELN_BASE_COFINS           DEC(12,2) NOT NULL,
       WRELN_BASE_ISS              DEC(12,2) NOT NULL,
       WRELN_BASE_IPI              DEC(12,2) NOT NULL,
       WRELN_BASE_ICMS             DEC(12,2) NOT NULL,
       WRELN_BASE_DESC             DEC(12,2) NOT NULL,
       WRELN_BASE_SUBT             DEC(12,2) NOT NULL,
       WRELN_VALOR_FCP             DEC(12,2) NOT NULL,
       WRELN_VALOR_FCPST           DEC(12,2) NOT NULL,
       WRELN_VALOR_PIS             DEC(12,2) NOT NULL,
       WRELN_VALOR_COFINS          DEC(12,2) NOT NULL,
       WRELN_VALOR_ISS             DEC(12,2) NOT NULL,
       WRELN_VALOR_ICMS            DEC(12,2) NOT NULL,
       WRELN_VALOR_IPI             DEC(12,2) NOT NULL,
       WRELN_VALOR_SUBT            DEC(12,2) NOT NULL,
       WRELN_VALOR_DESC            DEC(12,2) NOT NULL,
       WRELN_PERC_FCP              DEC(4,2)  NOT NULL,
       WRELN_PERC_FCPST            DEC(4,2)  NOT NULL,
       WRELN_PERC_PIS              DEC(4,2)  NOT NULL,
       WRELN_PERC_COFINS           DEC(4,2)  NOT NULL,
       WRELN_PERC_ISS              DEC(4,2)  NOT NULL,
       WRELN_PERC_IPI              DEC(4,2)  NOT NULL,
       WRELN_PERC_ICMS             DEC(4,2)  NOT NULL,
       WRELN_PERC_DESC             DEC(4,2)  NOT NULL,
       WRELN_PERC_SUBT             DEC(4,2)  NOT NULL,
       WRELN_CFOP                  CHAR(4)   NOT NULL,
       WRELN_COD_ORIGEM            CHAR(1)   NOT NULL,
       WRELN_COD_TRIB              CHAR(2)   NOT NULL,
       WRELN_CSOSN                 CHAR(3)   NOT NULL,
       WRELN_NBMSH                 CHAR(15)  NOT NULL,
       WRELN_CEST                  CHAR(7)   NOT NULL,
       WRELN_EXTIPI                CHAR(3)   NOT NULL,
       WRELN_CST_IPI               CHAR(2)   NOT NULL,
       WRELN_CST_PIS               CHAR(2)   NOT NULL,
       WRELN_CST_COF               CHAR(2)   NOT NULL,
       WRELN_XPED                  CHAR(15)  NOT NULL,
       WRELN_NITEMPED              CHAR(6)   NOT NULL,
       WRELN_INFADPROD             CHAR(500),
       WRELN_MATRICULA             CHAR(15)  NOT NULL,
       WRELN_STATUS                CHAR(02)  NOT NULL );

INSERT INTO UTLWRELN_1 SELECT WRELN_EMPRESA,WRELN_UNIDADE,WRELN_DATA,
WRELN_HORA,WRELN_LINHA,WRELN_TIPO_ITEM,WRELN_TIPO_OC,WRELN_NUMERO_OCS,
WRELN_LINHA_OC,WRELN_PARCELA_OC,WRELN_CODIGO_ITEM,WRELN_ITEM_COTADO,
WRELN_DATA_COTA,WRELN_uCom,WRELN_QTD_RECEBIDA,WRELN_QTD_BRUTA,
WRELN_VALOR_UNIT,WRELN_VALOR_ITEM,WRELN_indTot,WRELN_BASE_FCP,
WRELN_BASE_FCPST,WRELN_BASE_PIS,WRELN_BASE_COFINS,WRELN_BASE_ISS,
WRELN_BASE_IPI,WRELN_BASE_ICMS,WRELN_BASE_DESC,WRELN_BASE_SUBT,
WRELN_VALOR_FCP,WRELN_VALOR_FCPST,WRELN_VALOR_PIS,WRELN_VALOR_COFINS,
WRELN_VALOR_ISS,WRELN_VALOR_ICMS,WRELN_VALOR_IPI,WRELN_VALOR_SUBT,
WRELN_VALOR_DESC,WRELN_PERC_FCP,WRELN_PERC_FCPST,WRELN_PERC_PIS,
WRELN_PERC_COFINS,WRELN_PERC_ISS,WRELN_PERC_IPI,WRELN_PERC_ICMS,
WRELN_PERC_DESC,WRELN_PERC_SUBT,WRELN_CFOP,WRELN_COD_ORIGEM,
WRELN_COD_TRIB,WRELN_CSOSN,WRELN_NBMSH,WRELN_CEST,WRELN_EXTIPI,
WRELN_CST_IPI,WRELN_CST_PIS,WRELN_CST_COF,WRELN_XPED,WRELN_NITEMPED,
WRELN_INFADPROD,WRELN_MATRICULA,WRELN_STATUS FROM UTLWRELN;

DROP TABLE UTLWRELN;

CREATE TABLE UTLWRELN (
       WRELN_EMPRESA               CHAR(2)   NOT NULL,
       WRELN_UNIDADE               CHAR(8)   NOT NULL,
       WRELN_DATA                  CHAR(8)   NOT NULL,
       WRELN_HORA                  CHAR(10)  NOT NULL,
       WRELN_LINHA                 CHAR(3)   NOT NULL,

       WRELN_TIPO_ITEM             CHAR(1)   NOT NULL,
       WRELN_TIPO_OC               CHAR(1)   NOT NULL,
       WRELN_NUMERO_OCS            CHAR(10)  NOT NULL,
       WRELN_LINHA_OC              CHAR(2)   NOT NULL,
       WRELN_PARCELA_OC            CHAR(2)   NOT NULL,
       WRELN_CODIGO_ITEM           CHAR(16)  NOT NULL,
       WRELN_ITEM_COTADO           CHAR(50)  NOT NULL,
       WRELN_DATA_COTA             CHAR(8)   NOT NULL,
       WRELN_uCom                  CHAR(4)   NOT NULL,
       WRELN_QTD_RECEBIDA          DEC(11,3) NOT NULL,
       WRELN_QTD_BRUTA             DEC(11,3) NOT NULL,
       WRELN_VALOR_UNIT            DEC(17,9) NOT NULL,
       WRELN_VALOR_ITEM            DEC(12,2) NOT NULL,
       WRELN_indTot                CHAR(1)   NOT NULL,
       WRELN_BASE_FCP              DEC(12,2) NOT NULL,
       WRELN_BASE_FCPST            DEC(12,2) NOT NULL,
       WRELN_BASE_PIS              DEC(12,2) NOT NULL,
       WRELN_BASE_COFINS           DEC(12,2) NOT NULL,
       WRELN_BASE_ISS              DEC(12,2) NOT NULL,
       WRELN_BASE_IPI              DEC(12,2) NOT NULL,
       WRELN_BASE_ICMS             DEC(12,2) NOT NULL,
       WRELN_BASE_DESC             DEC(12,2) NOT NULL,
       WRELN_BASE_SUBT             DEC(12,2) NOT NULL,
       WRELN_VALOR_FCP             DEC(12,2) NOT NULL,
       WRELN_VALOR_FCPST           DEC(12,2) NOT NULL,
       WRELN_VALOR_PIS             DEC(12,2) NOT NULL,
       WRELN_VALOR_COFINS          DEC(12,2) NOT NULL,
       WRELN_VALOR_ISS             DEC(12,2) NOT NULL,
       WRELN_VALOR_ICMS            DEC(12,2) NOT NULL,
       WRELN_VALOR_IPI             DEC(12,2) NOT NULL,
       WRELN_VALOR_SUBT            DEC(12,2) NOT NULL,
       WRELN_VALOR_DESC            DEC(12,2) NOT NULL,
       WRELN_PERC_FCP              DEC(4,2)  NOT NULL,
       WRELN_PERC_FCPST            DEC(4,2)  NOT NULL,
       WRELN_PERC_PIS              DEC(4,2)  NOT NULL,
       WRELN_PERC_COFINS           DEC(4,2)  NOT NULL,
       WRELN_PERC_ISS              DEC(4,2)  NOT NULL,
       WRELN_PERC_IPI              DEC(4,2)  NOT NULL,
       WRELN_PERC_ICMS             DEC(4,2)  NOT NULL,
       WRELN_PERC_DESC             DEC(4,2)  NOT NULL,
       WRELN_PERC_SUBT             DEC(4,2)  NOT NULL,
       WRELN_CFOP                  CHAR(4)   NOT NULL,
       WRELN_COD_ORIGEM            CHAR(1)   NOT NULL,
       WRELN_COD_TRIB              CHAR(2)   NOT NULL,
       WRELN_CSOSN                 CHAR(3)   NOT NULL,
       WRELN_NBMSH                 CHAR(15)  NOT NULL,
       WRELN_CEST                  CHAR(7)   NOT NULL,
       WRELN_EXTIPI                CHAR(3)   NOT NULL,
       WRELN_CST_IPI               CHAR(2)   NOT NULL,
       WRELN_CST_PIS               CHAR(2)   NOT NULL,
       WRELN_CST_COF               CHAR(2)   NOT NULL,
       WRELN_XPED                  CHAR(15)  NOT NULL,
       WRELN_NITEMPED              CHAR(6)   NOT NULL,
       WRELN_INFADPROD             CHAR(500),
       WRELN_MATRICULA             CHAR(15)  NOT NULL,
       WRELN_STATUS                CHAR(02)  NOT NULL );

INSERT INTO UTLWRELN SELECT * FROM UTLWRELN_1;

CREATE UNIQUE INDEX UTL1RELN ON UTLWRELN ( WRELN_EMPRESA,
                                           WRELN_UNIDADE,
                                           WRELN_DATA,
                                           WRELN_HORA,
                                           WRELN_LINHA);
CREATE        INDEX UTL2RELN ON UTLWRELN ( WRELN_EMPRESA,
                                           WRELN_UNIDADE,
                                           WRELN_STATUS);
GRANT ALL ON UTLWRELN TO BYTEC;

DROP TABLE UTLWRELN_1;

COMMIT;

