
CREATE TABLE SUPWOCIT (
       AOCIT_EMPRESA         CHAR(2)   NOT NULL,
       AOCIT_UNIDADE         CHAR(8)   NOT NULL,
       AOCIT_TIPO_OC         CHAR(1)   NOT NULL,
       AOCIT_OC              CHAR(10)  NOT NULL,
       AOCIT_LINHA_OC        CHAR(2)   NOT NULL,
       AOCIT_ITEM            CHAR(16)  NOT NULL,
       AOCIT_REV_DESC        CHAR(2)   NOT NULL,
       AOCIT_UM              CHAR(4)   NOT NULL,
       AOCIT_CONT_CONT       CHAR(11)  NOT NULL,
       AOCIT_RC              CHAR(10)  NOT NULL,
       AOCIT_REVISAO_RC      CHAR(2)   NOT NULL,
       AOCIT_DATA_EMIS_RC    CHAR(8)   NOT NULL,
       AOCIT_DATA_EFET_RC    CHAR(8)   NOT NULL,
       AOCIT_APLICACAO       CHAR(15)  NOT NULL,
       AOCIT_DESTINO         CHAR(2)   NOT NULL,
       AOCIT_REQUISITANTE    CHAR(8)   NOT NULL,
       AOCIT_TIPO_INSP       CHAR(2)   NOT NULL,
       AOCIT_UM_COMPRA       CHAR(4)   NOT NULL,
       AOCIT_FCNV_EST_CMP    DEC(15,7) NOT NULL,
       AOCIT_FCNV_CMP_EST    DEC(15,7) NOT NULL,
       AOCIT_MOEDA           CHAR(5)   NOT NULL,
       AOCIT_VALOR_UNI       DEC(17,9) NOT NULL,
       AOCIT_VALOR_1         DEC(17,9) NOT NULL,
       AOCIT_VALOR_2         DEC(17,9) NOT NULL,
       AOCIT_IPI             DEC(4,2)  NOT NULL,
       AOCIT_DATA_ULT_REC    CHAR(8)   NOT NULL,
       AOCIT_DATA_BASE       CHAR(8)   NOT NULL,
       AOCIT_NRO_PARCELAS    CHAR(2)   NOT NULL,
       AOCIT_REFERENCIA      CHAR(2)   NOT NULL );

CREATE TABLE SUPWCFIT (
       ACFIT_EMPRESA         CHAR(2)   NOT NULL,
       ACFIT_UNIDADE         CHAR(8)   NOT NULL,
       ACFIT_NUMERO_CF       CHAR(10)  NOT NULL,
       ACFIT_COD_ITEM        CHAR(16)  NOT NULL,
       ACFIT_TIPO_INSP       CHAR(2)   NOT NULL,
       ACFIT_TIPO_CF         CHAR(1)   NOT NULL,
       ACFIT_UM_COMPRA       CHAR(4)   NOT NULL,
       ACFIT_FCNV_EST_CMP    DEC(15,7) NOT NULL,
       ACFIT_FCNV_CMP_EST    DEC(15,7) NOT NULL,
       ACFIT_MOEDA           CHAR(5)   NOT NULL,
       ACFIT_VALOR_UNI       DEC(17,9) NOT NULL,
       ACFIT_VALOR_1         DEC(17,9) NOT NULL,
       ACFIT_VALOR_2         DEC(17,9) NOT NULL,
       ACFIT_IPI             DEC(4,2)  NOT NULL,
       ACFIT_REFERENCIA      CHAR(2)   NOT NULL,
       ACFIT_PRZ_ENTR_OC     CHAR(3)   NOT NULL,
       ACFIT_ADC_ENTR_OC     CHAR(3)   NOT NULL );

INSERT INTO SUPWOCIT SELECT AOCIT_EMPRESA,AOCIT_UNIDADE,AOCIT_TIPO_OC,
AOCIT_OC,AOCIT_LINHA_OC,AOCIT_ITEM,AOCIT_REV_DESC,AOCIT_UM,AOCIT_CONT_CONT,
AOCIT_RC,AOCIT_REVISAO_RC,AOCIT_DATA_EMIS_RC,AOCIT_DATA_EFET_RC,
AOCIT_APLICACAO,AOCIT_DESTINO,AOCIT_REQUISITANTE,AOCIT_TIPO_INSP,
AOCIT_UM_COMPRA,AOCIT_FCNV_EST_CMP,AOCIT_FCNV_CMP_EST,AOCIT_MOEDA,
AOCIT_VALOR_UNI,AOCIT_VALOR_1,AOCIT_VALOR_2,AOCIT_IPI,AOCIT_DATA_ULT_REC,
AOCIT_DATA_BASE,AOCIT_NRO_PARCELAS,AOCIT_REFERENCIA FROM SUPAOCIT;

INSERT INTO SUPWCFIT SELECT ACFIT_EMPRESA,ACFIT_UNIDADE,ACFIT_NUMERO_CF,
ACFIT_COD_ITEM,ACFIT_TIPO_INSP,ACFIT_TIPO_CF,ACFIT_UM_COMPRA,
ACFIT_FCNV_EST_CMP,ACFIT_FCNV_CMP_EST,ACFIT_MOEDA,ACFIT_VALOR_UNI,
ACFIT_VALOR_1,ACFIT_VALOR_2,ACFIT_IPI,ACFIT_REFERENCIA,ACFIT_PRZ_ENTR_OC,
ACFIT_ADC_ENTR_OC FROM SUPACFIT;

DROP TABLE SUPAOCIT;

DROP TABLE SUPACFIT;

CREATE TABLE SUPAOCIT (
       AOCIT_EMPRESA         CHAR(2)   NOT NULL,
       AOCIT_UNIDADE         CHAR(8)   NOT NULL,
       AOCIT_TIPO_OC         CHAR(1)   NOT NULL,
       AOCIT_OC              CHAR(10)  NOT NULL,
       AOCIT_LINHA_OC        CHAR(2)   NOT NULL,
       AOCIT_ITEM            CHAR(16)  NOT NULL,
       AOCIT_REV_DESC        CHAR(2)   NOT NULL,
       AOCIT_UM              CHAR(4)   NOT NULL,
       AOCIT_CONT_CONT       CHAR(11)  NOT NULL,
       AOCIT_RC              CHAR(10)  NOT NULL,
       AOCIT_REVISAO_RC      CHAR(2)   NOT NULL,
       AOCIT_DATA_EMIS_RC    CHAR(8)   NOT NULL,
       AOCIT_DATA_EFET_RC    CHAR(8)   NOT NULL,
       AOCIT_APLICACAO       CHAR(15)  NOT NULL,
       AOCIT_DESTINO         CHAR(2)   NOT NULL,
       AOCIT_REQUISITANTE    CHAR(8)   NOT NULL,
       AOCIT_TIPO_INSP       CHAR(2)   NOT NULL,
       AOCIT_UM_COMPRA       CHAR(4)   NOT NULL,
       AOCIT_FCNV_EST_CMP    DEC(15,7) NOT NULL,
       AOCIT_FCNV_CMP_EST    DEC(15,7) NOT NULL,
       AOCIT_MOEDA           CHAR(5)   NOT NULL,
       AOCIT_VALOR_UNI       DEC(17,9) NOT NULL,
       AOCIT_VALOR_1         DEC(17,9) NOT NULL,
       AOCIT_VALOR_2         DEC(17,9) NOT NULL,
       AOCIT_IPI             DEC(4,2)  NOT NULL,
       AOCIT_DATA_ULT_REC    CHAR(8)   NOT NULL,
       AOCIT_DATA_BASE       CHAR(8)   NOT NULL,
       AOCIT_NRO_PARCELAS    CHAR(2)   NOT NULL,
       AOCIT_REFERENCIA      CHAR(2)   NOT NULL );

CREATE TABLE SUPACFIT (
       ACFIT_EMPRESA         CHAR(2)   NOT NULL,
       ACFIT_UNIDADE         CHAR(8)   NOT NULL,
       ACFIT_NUMERO_CF       CHAR(10)  NOT NULL,
       ACFIT_COD_ITEM        CHAR(16)  NOT NULL,
       ACFIT_TIPO_INSP       CHAR(2)   NOT NULL,
       ACFIT_TIPO_CF         CHAR(1)   NOT NULL,
       ACFIT_UM_COMPRA       CHAR(4)   NOT NULL,
       ACFIT_FCNV_EST_CMP    DEC(15,7) NOT NULL,
       ACFIT_FCNV_CMP_EST    DEC(15,7) NOT NULL,
       ACFIT_MOEDA           CHAR(5)   NOT NULL,
       ACFIT_VALOR_UNI       DEC(17,9) NOT NULL,
       ACFIT_VALOR_1         DEC(17,9) NOT NULL,
       ACFIT_VALOR_2         DEC(17,9) NOT NULL,
       ACFIT_IPI             DEC(4,2)  NOT NULL,
       ACFIT_REFERENCIA      CHAR(2)   NOT NULL,
       ACFIT_PRZ_ENTR_OC     CHAR(3)   NOT NULL,
       ACFIT_ADC_ENTR_OC     CHAR(3)   NOT NULL );

INSERT INTO SUPAOCIT SELECT * FROM SUPWOCIT;

INSERT INTO SUPACFIT SELECT * FROM SUPWCFIT;

CREATE UNIQUE INDEX SUP1OCIT  ON SUPAOCIT ( AOCIT_EMPRESA,
                                            AOCIT_UNIDADE,
                                            AOCIT_TIPO_OC,
                                            AOCIT_OC,
                                            AOCIT_LINHA_OC );
CREATE        INDEX SUP2OCIT  ON SUPAOCIT ( AOCIT_EMPRESA,
                                            AOCIT_UNIDADE,
                                            AOCIT_ITEM,
                                            AOCIT_REV_DESC );
CREATE        INDEX SUP3OCIT  ON SUPAOCIT ( AOCIT_EMPRESA,
                                            AOCIT_UNIDADE,
                                            AOCIT_RC );
CREATE        INDEX SUP4OCIT  ON SUPAOCIT ( AOCIT_EMPRESA,
                                            AOCIT_UNIDADE,
                                            AOCIT_APLICACAO );
CREATE        INDEX SUP5OCIT  ON SUPAOCIT ( AOCIT_UM );
CREATE        INDEX SUP6OCIT  ON SUPAOCIT ( AOCIT_UM_COMPRA );
CREATE        INDEX SUP7OCIT  ON SUPAOCIT ( AOCIT_EMPRESA,
                                            AOCIT_CONT_CONT );
CREATE        INDEX SUP8OCIT  ON SUPAOCIT ( AOCIT_EMPRESA,
                                            AOCIT_UNIDADE,
                                            AOCIT_DESTINO );
CREATE        INDEX SUP9OCIT  ON SUPAOCIT ( AOCIT_ITEM );
CREATE        INDEX SUP10OCIT ON SUPAOCIT ( AOCIT_APLICACAO );
CREATE        INDEX SUP11OCIT ON SUPAOCIT ( AOCIT_DESTINO );
CREATE        INDEX SUP12OCIT ON SUPAOCIT ( AOCIT_MOEDA );
CREATE        INDEX SUP13OCIT ON SUPAOCIT ( AOCIT_EMPRESA,
                                            AOCIT_REQUISITANTE );
GRANT ALL ON SUPAOCIT TO BYTEC;

CREATE UNIQUE INDEX SUP1CFIT ON SUPACFIT ( ACFIT_EMPRESA,
                                           ACFIT_UNIDADE,
                                           ACFIT_NUMERO_CF,
                                           ACFIT_COD_ITEM );
CREATE        INDEX SUP2CFIT ON SUPACFIT ( ACFIT_EMPRESA,
                                           ACFIT_UNIDADE,
                                           ACFIT_COD_ITEM );
CREATE        INDEX SUP3CFIT ON SUPACFIT ( ACFIT_COD_ITEM );
CREATE        INDEX SUP4CFIT ON SUPACFIT ( ACFIT_UM_COMPRA );
CREATE        INDEX SUP5CFIT ON SUPACFIT ( ACFIT_MOEDA );
GRANT ALL ON SUPACFIT TO BYTEC;

DROP TABLE SUPWOCIT;

DROP TABLE SUPWCFIT;

COMMIT;

